Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.backup
Class PasswordBackupPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.VerticalPanel
                              org.eclipse.higgins.ics.gwt.icm.client.backup.PasswordBackupPanel

All Implemented Interfaces:
  BackupWizardPage, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel

public class PasswordBackupPanel
extends com.google.gwt.user.client.ui.VerticalPanel
implements BackupWizardPage

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`PasswordBackupPanel(CardCredential credential)`

Method Summary
`CardCredential` | `getCredential()`
`String` | `getCredentialText0()`
`String` | `getCredentialText1()`
`String` | `getHeader()`

Methods inherited from class com.google.gwt.user.client.ui.VerticalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PasswordBackupPanel

    public PasswordBackupPanel(CardCredential credential)

Method Detail

### getHeader

    public String getHeader()

  Specified by:
    `getHeader` in interface `BackupWizardPage`

### getCredentialText0

    public String getCredentialText0()

### getCredential

    public CardCredential getCredential()

### getCredentialText1

    public String getCredentialText1()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD